searchData={"items":[{"type":"module","title":"Surface.Catalogue.Components.PlaygroundTools","doc":"","ref":"Surface.Catalogue.Components.PlaygroundTools.html"},{"type":"module","title":"Properties - Surface.Catalogue.Components.PlaygroundTools","doc":"* **id** *:string, required: true* - Both the DOM ID and the ID to uniquely identify a LiveView. An `:id` is automatically generated\nwhen rendering root LiveViews but it is a required option when rendering a child LiveView.\n\n* **container** *:tuple* - An optional tuple for the HTML tag and DOM attributes to be used for the LiveView container.\nFor example: `{:li, style: \"color: blue;\"}`. By default it uses the module definition container.\n\n* **session** *:map* - A map of binary keys with extra session data to be serialized and sent to the client.\nAll session data currently in the connection is automatically available in LiveViews.\nYou can use this option to provide extra data. Remember all session data is serialized\nand sent to the client, so you should always keep the data in the session to a minimum.\nFor example, instead of storing a User struct, you should store the \"user_id\" and load\nthe User when the LiveView mounts.\n\n* **sticky** *:boolean* - An optional flag to maintain the LiveView across live redirects, even if it is nested\nwithin another LiveView. If you are rendering the sticky view within your live layout,\nmake sure that the sticky view itself does not use the same layout. You can do so by\nreturning `{:ok, socket, layout: false}` from mount.","ref":"Surface.Catalogue.Components.PlaygroundTools.html#module-properties"},{"type":"function","title":"Surface.Catalogue.Components.PlaygroundTools.clear_event_log/1","doc":"","ref":"Surface.Catalogue.Components.PlaygroundTools.html#clear_event_log/1"},{"type":"function","title":"Surface.Catalogue.Components.PlaygroundTools.handle_event/3","doc":"","ref":"Surface.Catalogue.Components.PlaygroundTools.html#handle_event/3"},{"type":"function","title":"Surface.Catalogue.Components.PlaygroundTools.handle_info/2","doc":"","ref":"Surface.Catalogue.Components.PlaygroundTools.html#handle_info/2"},{"type":"function","title":"Surface.Catalogue.Components.PlaygroundTools.mount/3","doc":"","ref":"Surface.Catalogue.Components.PlaygroundTools.html#mount/3"},{"type":"function","title":"Surface.Catalogue.Components.PlaygroundTools.render/1","doc":"","ref":"Surface.Catalogue.Components.PlaygroundTools.html#render/1"},{"type":"function","title":"Surface.Catalogue.Components.PlaygroundTools.tab_click_callback/1","doc":"","ref":"Surface.Catalogue.Components.PlaygroundTools.html#tab_click_callback/1"},{"type":"function","title":"Surface.Catalogue.Components.PlaygroundTools.valid_input_value?/2","doc":"","ref":"Surface.Catalogue.Components.PlaygroundTools.html#valid_input_value?/2"},{"type":"module","title":"Surface.Catalogue.ExampleLive","doc":"","ref":"Surface.Catalogue.ExampleLive.html"},{"type":"module","title":"Properties - Surface.Catalogue.ExampleLive","doc":"* **id** *:string, required: true* - Both the DOM ID and the ID to uniquely identify a LiveView. An `:id` is automatically generated\nwhen rendering root LiveViews but it is a required option when rendering a child LiveView.\n\n* **container** *:tuple* - An optional tuple for the HTML tag and DOM attributes to be used for the LiveView container.\nFor example: `{:li, style: \"color: blue;\"}`. By default it uses the module definition container.\n\n* **session** *:map* - A map of binary keys with extra session data to be serialized and sent to the client.\nAll session data currently in the connection is automatically available in LiveViews.\nYou can use this option to provide extra data. Remember all session data is serialized\nand sent to the client, so you should always keep the data in the session to a minimum.\nFor example, instead of storing a User struct, you should store the \"user_id\" and load\nthe User when the LiveView mounts.\n\n* **sticky** *:boolean* - An optional flag to maintain the LiveView across live redirects, even if it is nested\nwithin another LiveView. If you are rendering the sticky view within your live layout,\nmake sure that the sticky view itself does not use the same layout. You can do so by\nreturning `{:ok, socket, layout: false}` from mount.","ref":"Surface.Catalogue.ExampleLive.html#module-properties"},{"type":"function","title":"Surface.Catalogue.ExampleLive.handle_params/3","doc":"","ref":"Surface.Catalogue.ExampleLive.html#handle_params/3"},{"type":"function","title":"Surface.Catalogue.ExampleLive.mount/3","doc":"","ref":"Surface.Catalogue.ExampleLive.html#mount/3"},{"type":"function","title":"Surface.Catalogue.ExampleLive.render/1","doc":"","ref":"Surface.Catalogue.ExampleLive.html#render/1"},{"type":"module","title":"Surface.Catalogue.LayoutView","doc":"","ref":"Surface.Catalogue.LayoutView.html"},{"type":"function","title":"Surface.Catalogue.LayoutView.render/2","doc":"","ref":"Surface.Catalogue.LayoutView.html#render/2"},{"type":"module","title":"Surface.Catalogue.PageLive","doc":"","ref":"Surface.Catalogue.PageLive.html"},{"type":"module","title":"Properties - Surface.Catalogue.PageLive","doc":"* **id** *:string, required: true* - Both the DOM ID and the ID to uniquely identify a LiveView. An `:id` is automatically generated\nwhen rendering root LiveViews but it is a required option when rendering a child LiveView.\n\n* **container** *:tuple* - An optional tuple for the HTML tag and DOM attributes to be used for the LiveView container.\nFor example: `{:li, style: \"color: blue;\"}`. By default it uses the module definition container.\n\n* **session** *:map* - A map of binary keys with extra session data to be serialized and sent to the client.\nAll session data currently in the connection is automatically available in LiveViews.\nYou can use this option to provide extra data. Remember all session data is serialized\nand sent to the client, so you should always keep the data in the session to a minimum.\nFor example, instead of storing a User struct, you should store the \"user_id\" and load\nthe User when the LiveView mounts.\n\n* **sticky** *:boolean* - An optional flag to maintain the LiveView across live redirects, even if it is nested\nwithin another LiveView. If you are rendering the sticky view within your live layout,\nmake sure that the sticky view itself does not use the same layout. You can do so by\nreturning `{:ok, socket, layout: false}` from mount.","ref":"Surface.Catalogue.PageLive.html#module-properties"},{"type":"function","title":"Surface.Catalogue.PageLive.handle_event/3","doc":"","ref":"Surface.Catalogue.PageLive.html#handle_event/3"},{"type":"function","title":"Surface.Catalogue.PageLive.handle_info/2","doc":"","ref":"Surface.Catalogue.PageLive.html#handle_info/2"},{"type":"function","title":"Surface.Catalogue.PageLive.handle_params/3","doc":"","ref":"Surface.Catalogue.PageLive.html#handle_params/3"},{"type":"function","title":"Surface.Catalogue.PageLive.mount/3","doc":"","ref":"Surface.Catalogue.PageLive.html#mount/3"},{"type":"function","title":"Surface.Catalogue.PageLive.render/1","doc":"","ref":"Surface.Catalogue.PageLive.html#render/1"},{"type":"module","title":"Surface.Catalogue.PlaygroundLive","doc":"","ref":"Surface.Catalogue.PlaygroundLive.html"},{"type":"module","title":"Properties - Surface.Catalogue.PlaygroundLive","doc":"* **id** *:string, required: true* - Both the DOM ID and the ID to uniquely identify a LiveView. An `:id` is automatically generated\nwhen rendering root LiveViews but it is a required option when rendering a child LiveView.\n\n* **container** *:tuple* - An optional tuple for the HTML tag and DOM attributes to be used for the LiveView container.\nFor example: `{:li, style: \"color: blue;\"}`. By default it uses the module definition container.\n\n* **session** *:map* - A map of binary keys with extra session data to be serialized and sent to the client.\nAll session data currently in the connection is automatically available in LiveViews.\nYou can use this option to provide extra data. Remember all session data is serialized\nand sent to the client, so you should always keep the data in the session to a minimum.\nFor example, instead of storing a User struct, you should store the \"user_id\" and load\nthe User when the LiveView mounts.\n\n* **sticky** *:boolean* - An optional flag to maintain the LiveView across live redirects, even if it is nested\nwithin another LiveView. If you are rendering the sticky view within your live layout,\nmake sure that the sticky view itself does not use the same layout. You can do so by\nreturning `{:ok, socket, layout: false}` from mount.","ref":"Surface.Catalogue.PlaygroundLive.html#module-properties"},{"type":"function","title":"Surface.Catalogue.PlaygroundLive.handle_params/3","doc":"","ref":"Surface.Catalogue.PlaygroundLive.html#handle_params/3"},{"type":"function","title":"Surface.Catalogue.PlaygroundLive.mount/3","doc":"","ref":"Surface.Catalogue.PlaygroundLive.html#mount/3"},{"type":"function","title":"Surface.Catalogue.PlaygroundLive.render/1","doc":"","ref":"Surface.Catalogue.PlaygroundLive.html#render/1"},{"type":"module","title":"Surface.Catalogue.Router","doc":"","ref":"Surface.Catalogue.Router.html"},{"type":"macro","title":"Surface.Catalogue.Router.surface_catalogue/2","doc":"","ref":"Surface.Catalogue.Router.html#surface_catalogue/2"},{"type":"module","title":"Surface.Catalogue.Server","doc":"A simple catalogue server that can be used to load catalogues from projects that\ndon't initialize their own Phoenix endpoint.\n\nIn case your project already have an endpoint set up, you should provide a new route for\ncatalogue instead. See https://github.com/surface-ui/surface_catalogue/#installation for\ndetails.\n\nThis server is for development only usage.","ref":"Surface.Catalogue.Server.html"},{"type":"function","title":"Surface.Catalogue.Server.start/1","doc":"","ref":"Surface.Catalogue.Server.html#start/1"},{"type":"module","title":"Surface.Catalogue.Server.Endpoint","doc":"","ref":"Surface.Catalogue.Server.Endpoint.html"},{"type":"function","title":"Surface.Catalogue.Server.Endpoint.broadcast/3","doc":"","ref":"Surface.Catalogue.Server.Endpoint.html#broadcast/3"},{"type":"function","title":"Surface.Catalogue.Server.Endpoint.broadcast!/3","doc":"","ref":"Surface.Catalogue.Server.Endpoint.html#broadcast!/3"},{"type":"function","title":"Surface.Catalogue.Server.Endpoint.broadcast_from/4","doc":"","ref":"Surface.Catalogue.Server.Endpoint.html#broadcast_from/4"},{"type":"function","title":"Surface.Catalogue.Server.Endpoint.broadcast_from!/4","doc":"","ref":"Surface.Catalogue.Server.Endpoint.html#broadcast_from!/4"},{"type":"function","title":"Surface.Catalogue.Server.Endpoint.call/2","doc":"","ref":"Surface.Catalogue.Server.Endpoint.html#call/2"},{"type":"function","title":"Surface.Catalogue.Server.Endpoint.child_spec/1","doc":"Returns the child specification to start the endpoint\nunder a supervision tree.","ref":"Surface.Catalogue.Server.Endpoint.html#child_spec/1"},{"type":"function","title":"Surface.Catalogue.Server.Endpoint.config/2","doc":"Returns the endpoint configuration for `key`\n\nReturns `default` if the key does not exist.","ref":"Surface.Catalogue.Server.Endpoint.html#config/2"},{"type":"function","title":"Surface.Catalogue.Server.Endpoint.config_change/2","doc":"Reloads the configuration given the application environment changes.","ref":"Surface.Catalogue.Server.Endpoint.html#config_change/2"},{"type":"function","title":"Surface.Catalogue.Server.Endpoint.host/0","doc":"Returns the host for the given endpoint.","ref":"Surface.Catalogue.Server.Endpoint.html#host/0"},{"type":"function","title":"Surface.Catalogue.Server.Endpoint.init/1","doc":"","ref":"Surface.Catalogue.Server.Endpoint.html#init/1"},{"type":"function","title":"Surface.Catalogue.Server.Endpoint.local_broadcast/3","doc":"","ref":"Surface.Catalogue.Server.Endpoint.html#local_broadcast/3"},{"type":"function","title":"Surface.Catalogue.Server.Endpoint.local_broadcast_from/4","doc":"","ref":"Surface.Catalogue.Server.Endpoint.html#local_broadcast_from/4"},{"type":"function","title":"Surface.Catalogue.Server.Endpoint.path/1","doc":"Generates the path information when routing to this endpoint.","ref":"Surface.Catalogue.Server.Endpoint.html#path/1"},{"type":"function","title":"Surface.Catalogue.Server.Endpoint.script_name/0","doc":"Generates the script name.","ref":"Surface.Catalogue.Server.Endpoint.html#script_name/0"},{"type":"function","title":"Surface.Catalogue.Server.Endpoint.server_info/1","doc":"Returns the address and port that the server is running on","ref":"Surface.Catalogue.Server.Endpoint.html#server_info/1"},{"type":"function","title":"Surface.Catalogue.Server.Endpoint.start_link/1","doc":"Starts the endpoint supervision tree.\n\nAll other options are merged into the endpoint configuration.","ref":"Surface.Catalogue.Server.Endpoint.html#start_link/1"},{"type":"function","title":"Surface.Catalogue.Server.Endpoint.static_integrity/1","doc":"Generates a base64-encoded cryptographic hash (sha512) to a static file\nin `priv/static`. Meant to be used for Subresource Integrity with CDNs.","ref":"Surface.Catalogue.Server.Endpoint.html#static_integrity/1"},{"type":"function","title":"Surface.Catalogue.Server.Endpoint.static_lookup/1","doc":"Returns a two item tuple with the first item being the `static_path`\nand the second item being the `static_integrity`.","ref":"Surface.Catalogue.Server.Endpoint.html#static_lookup/1"},{"type":"function","title":"Surface.Catalogue.Server.Endpoint.static_path/1","doc":"Generates a route to a static file in `priv/static`.","ref":"Surface.Catalogue.Server.Endpoint.html#static_path/1"},{"type":"function","title":"Surface.Catalogue.Server.Endpoint.static_url/0","doc":"Generates the static URL without any path information.\n\nIt uses the configuration under `:static_url` to generate\nsuch. It falls back to `:url` if `:static_url` is not set.","ref":"Surface.Catalogue.Server.Endpoint.html#static_url/0"},{"type":"function","title":"Surface.Catalogue.Server.Endpoint.struct_url/0","doc":"Generates the endpoint base URL but as a `URI` struct.\n\nIt uses the configuration under `:url` to generate such.\nUseful for manipulating the URL data and passing it to\nURL helpers.","ref":"Surface.Catalogue.Server.Endpoint.html#struct_url/0"},{"type":"function","title":"Surface.Catalogue.Server.Endpoint.subscribe/2","doc":"","ref":"Surface.Catalogue.Server.Endpoint.html#subscribe/2"},{"type":"function","title":"Surface.Catalogue.Server.Endpoint.unsubscribe/1","doc":"","ref":"Surface.Catalogue.Server.Endpoint.html#unsubscribe/1"},{"type":"function","title":"Surface.Catalogue.Server.Endpoint.url/0","doc":"Generates the endpoint base URL without any path information.\n\nIt uses the configuration under `:url` to generate such.","ref":"Surface.Catalogue.Server.Endpoint.html#url/0"},{"type":"module","title":"Surface.Catalogue.Server.ErrorView","doc":"","ref":"Surface.Catalogue.Server.ErrorView.html"},{"type":"function","title":"Surface.Catalogue.Server.ErrorView.template_not_found/2","doc":"","ref":"Surface.Catalogue.Server.ErrorView.html#template_not_found/2"},{"type":"module","title":"Surface.Catalogue.Server.Router","doc":"","ref":"Surface.Catalogue.Server.Router.html"},{"type":"function","title":"Surface.Catalogue.Server.Router.browser/2","doc":"","ref":"Surface.Catalogue.Server.Router.html#browser/2"},{"type":"function","title":"Surface.Catalogue.Server.Router.call/2","doc":"Callback invoked by Plug on every request.","ref":"Surface.Catalogue.Server.Router.html#call/2"},{"type":"function","title":"Surface.Catalogue.Server.Router.init/1","doc":"Callback required by Plug that initializes the router\nfor serving web requests.","ref":"Surface.Catalogue.Server.Router.html#init/1"}],"content_type":"text/markdown"}